## glance 27.1.1

=== debian/changelog ===
glance (2:27.1.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:17:48 +0000

glance (2:27.1.0-1) UNRELEASED; urgency=medium

  * New upstream point release.
  * Removed CVE-2024-32498 patches applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Nov 2024 08:44:21 +0100

glance (2:27.0.0-3+deb12u1) UNRELEASED; urgency=medium

  * Fix patch headers.
  * Add Support_Stream_Optimized_VMDKs.patch, needed for the below patch.
  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074761):
    - CVE-2024-32498_1_Support_Stream_Optimized_VMDKs.patch
    - CVE-2024-32498_2_1_glance-stable-2023.2.patch
    - CVE-2024-32498_2_2_glance-stable-2023.2.patch
    - CVE-2024-32498_2_3_glance-stable-2023.2.patch
    - CVE-2024-32498_2_4_glance-stable-2023.2.patch
    - CVE-2024-32498_2_5_glance-stable-2023.2.patch
    - CVE-2024-32498_2_6_glance-stable-2023.2.patch
    - CVE-2024-32498_2_7_glance-stable-2023.2.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:59:48 +0200

glance (2:27.0.0-2) unstable; urgency=medium

  * Add SQLAlchemy 2.0 upstream patches:
    - sqla2.0-db_Dont_inherit_cache_for_DeleteFromSelect.patch
    - sqla2.0-db_Drop_the_convert_unicode_unicode_error_flags.patch
    - sqla2.0-db_Re-use_a_single_connection.patch
    - sqla2.0-db_Remove_explicit_autocommit.patch
    - sqla2.0-db_Remove_explicit_autocommit.patch.base64
    - sqla2.0-db_Replace_use_of_update.values_parameter.patch
    - sqla2.0-db_Sync_migrations_models.patch
    - sqla2.0-db_Trivial_parameter_swap.patch
    - sqla2.0-db_Use_context_session_args_for_metadef_DB_APIs.patch

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 13:36:10 +0100

glance (2:27.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 10:04:09 +0200

glance (2:27.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Sep 2023 14:16:41 +0200

=== debian/control ===
Source: glance
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 bandit,
 curl,
 procps,
 python3-alembic,
 python3-boto3,
 python3-castellan,
 python3-coverage,
 python3-cryptography,
 python3-cursive,
 python3-ddt,
 python3-debtcollector,
 python3-defusedxml,
 python3-elasticsearch,
 python3-eventlet (>= 0.33.3),
 python3-fixtures,
 python3-futurist,
 python3-glance-store (>= 4.6.1),
 python3-hacking,
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pep8,
 python3-prettytable,
 python3-psutil,
 python3-psycopg2,
 python3-pygments,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sendfile,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 sqlite3,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/glance
Vcs-Git: https://salsa.debian.org/openstack-team/services/glance.git
Homepage: https://github.com/openstack/glance

Package: glance
Architecture: all
Depends:
 glance-api (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ceph,
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Depends:
 adduser,
 debconf,
 glance-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-glanceclient,
Description: OpenStack Image Registry and Delivery Service - API server
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Glance API server.

Package: glance-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-glance (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Image Registry and Delivery Service - common files
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains common files for Glance.

Package: glance-doc
Architecture: all
Section: doc
Breaks:
 python-glance-doc,
Replaces:
 python-glance-doc,
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 alembic,
 libxml2-dev,
 libxslt-dev,
 procps,
 python3-alembic,
 python3-boto3,
 python3-castellan,
 python3-cinderclient,
 python3-cryptography,
 python3-cursive,
 python3-debtcollector,
 python3-defusedxml,
 python3-eventlet (>= 0.33.3),
 python3-futurist,
 python3-glance-store (>= 4.6.1),
 python3-httplib2,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-migrate,
 python3-monotonic,
 python3-mysqldb,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.limit,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-prettytable,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-retrying,
 python3-routes,
 python3-sqlalchemy,
 python3-sqlparse,
 python3-stevedore,
 python3-swiftclient,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 python3-xattr,
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Image Registry and Delivery Service - Python library
 The Glance project provides services for discovering, registering, and
 retrieving virtual machine images over the cloud. They may be stand-alone
 services, or may be used to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python libraries.

## glance 28.0.1

=== requirements.txt ===
pbr>=3.1.1 # Apache-2.0
defusedxml>=0.6.0 # PSF

# < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
SQLAlchemy>=1.3.14 # MIT
eventlet>=0.33.3 # MIT
PasteDeploy>=1.5.0 # MIT
Routes>=2.3.1 # MIT
WebOb>=1.8.1 # MIT
sqlparse>=0.2.2 # BSD
alembic>=0.9.6 # MIT
httplib2>=0.9.1 # MIT
oslo.config>=8.1.0 # Apache-2.0
oslo.concurrency>=4.5.1 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
stevedore!=3.0.0,>=1.20.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
taskflow>=4.0.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=5.1.0 # Apache-2.0
WSME>=0.8.0 # MIT
PrettyTable>=0.7.1 # BSD

# For paste.util.template used in keystone.common.template
Paste>=2.0.2 # MIT

jsonschema>=3.2.0 # MIT
python-keystoneclient>=3.8.0 # Apache-2.0

oslo.db>=5.0.0 # Apache-2.0
oslo.i18n>=5.0.0 # Apache-2.0
oslo.limit>=1.6.0 # Apache-2.0
oslo.log>=4.5.0 # Apache-2.0
oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=3.11.0 # Apache-2.0

retrying!=1.3.0,>=1.2.3 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0

# Glance Store
glance-store>=2.3.0 # Apache-2.0


debtcollector>=1.19.0 # Apache-2.0
cryptography>=2.6.1 # BSD/Apache-2.0
cursive>=0.2.1 # Apache-2.0

# timeutils
iso8601>=0.1.11 # MIT

os-win>=4.0.1 # Apache-2.0

castellan>=0.17.0 # Apache-2.0

=== debian/changelog ===
glance (2:28.0.1-0ubuntu3) oracular; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: extend format_inspector for
      QCOW safety.
    - debian/patches/CVE-2024-32498-3.patch: add VMDK safety check.
    - debian/patches/CVE-2024-32498-4.patch: reject unsafe qcow and vmdk
      files.
    - debian/patches/CVE-2024-32498-5.patch: add QED format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-6.patch: add file format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-7.patch: add safety check and detection
      support to FI tool.
    - CVE-2024-32498

 -- James Page <james.page@ubuntu.com>  Mon, 24 Jun 2024 09:31:38 +0100

glance (2:28.0.1-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 16:55:04 +0100

glance (2:28.0.0~rc1-0ubuntu1) noble; urgency=medium

  [ James Page ]
  * d/watch: Track Caracal series releases.

  [ Jadon Naas ]
  * New upstream release candidate for OpenStack Caracal.

 -- Jadon Naas <jadon.naas@canonical.com>  Fri, 22 Mar 2024 07:58:23 +0000

glance (2:28.0.0~b2+git2024011916.f429b53e-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop ancient Python-Version field.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Jan 2024 13:58:03 +0000

## glance 28.1.0

=== debian/changelog ===
glance (2:28.1.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- James Page <james.page@ubuntu.com>  Fri, 07 Feb 2025 18:32:46 +0000

glance (2:28.1.0-0ubuntu1) noble; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.
  * d/gbp.conf: Set upstream branch to upstream-caracal.
  * New upstream release for OpenStack Caracal (LP: #2097425):
    - d/p/CVE-2024-32498*.patch: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Wed, 05 Feb 2025 09:49:29 +0000

glance (2:28.0.1-0ubuntu1.2) noble-security; urgency=medium

  * SECURITY UPDATE: Arbitrary file access via custom QCOW2 external data
    (LP: #2059809)
    - debian/patches/CVE-2024-32498-1.patch: reject qcow files with
      data-file attributes.
    - debian/patches/CVE-2024-32498-2.patch: extend format_inspector for
      QCOW safety.
    - debian/patches/CVE-2024-32498-3.patch: add VMDK safety check.
    - debian/patches/CVE-2024-32498-4.patch: reject unsafe qcow and vmdk
      files.
    - debian/patches/CVE-2024-32498-5.patch: add QED format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-6.patch: add file format detection to
      format_inspector.
    - debian/patches/CVE-2024-32498-7.patch: add safety check and detection
      support to FI tool.
    - CVE-2024-32498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Jun 2024 16:43:09 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(28.\d.*)\.tar\.gz

## glance 28.2.0

=== debian/changelog ===
glance (2:28.2.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Wed, 05 Nov 2025 07:24:13 +0000

glance (2:28.1.0-1) UNRELEASED; urgency=medium

  * New upstream release.
  * Removed patches applied upstream:
    - CVE-2024-32498_1_1_glance-stable-2024.1.patch
    - CVE-2024-32498_1_2_glance-stable-2024.1.patch
    - CVE-2024-32498_1_3_glance-stable-2024.1.patch
    - CVE-2024-32498_1_4_glance-stable-2024.1.patch
    - CVE-2024-32498_1_5_glance-stable-2024.1.patch
    - CVE-2024-32498_1_6_glance-stable-2024.1.patch
    - CVE-2024-32498_1_7_glance-stable-2024.1.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 11:58:03 +0200

glance (2:28.0.1-6) UNRELEASED; urgency=medium

  * Re-disable uwsgi, as backups aren't working.
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:18:12 +0200

glance (2:28.0.1-4) unstable; urgency=medium

  * Removed python3-migrate from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 04:32:44 +0200

glance (2:28.0.1-3+deb12u1) unstable; urgency=high

  * CVE-2024-32498: Arbitrary file access through custom QCOW2 external data.
    Add upstream patch (Closes: #1074761):
    - CVE-2024-32498_1_1_glance-stable-2024.1.patch
    - CVE-2024-32498_1_2_glance-stable-2024.1.patch
    - CVE-2024-32498_1_3_glance-stable-2024.1.patch
    - CVE-2024-32498_1_4_glance-stable-2024.1.patch
    - CVE-2024-32498_1_5_glance-stable-2024.1.patch
    - CVE-2024-32498_1_6_glance-stable-2024.1.patch
    - CVE-2024-32498_1_7_glance-stable-2024.1.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Jun 2024 09:35:02 +0200

glance (2:28.0.1-3) unstable; urgency=medium

  * Re-enable using uwsgi by default.

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 13:21:29 +0200

glance (2:28.0.1-2) unstable; urgency=medium

  * Blacklist test_delete_encryption_key().

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:18:31 +0200

glance (2:28.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 11:30:43 +0200

glance (2:28.0.0~rc1-1) experimental; urgency=medium

  * Fix patch headers.
  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Removed python-openssl from (build-)depends.
  * Removed applied upstream patches: debian/patches/sqla2.0-db_*.
  * Refreshed sql_conn-registry.patch.
  * Fixed min version of python3-glance-store for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2024 21:21:57 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  python3-eventlet (>= 0.33.3),
  python3-fixtures,
  python3-futurist,
- python3-glance-store (>= 4.6.1),
+ python3-glance-store (>= 4.7.0),
  python3-hacking,
  python3-httplib2,
  python3-iso8601,
@@ -40,10 +40,8 @@
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
- python3-migrate,
  python3-monotonic,
  python3-mysqldb,
- python3-openssl,
  python3-openstackdocstheme,
  python3-os-api-ref,
  python3-oslo.concurrency,
@@ -186,17 +184,15 @@
  python3-defusedxml,
  python3-eventlet (>= 0.33.3),
  python3-futurist,
- python3-glance-store (>= 4.6.1),
+ python3-glance-store (>= 4.7.0),
  python3-httplib2,
  python3-iso8601,
  python3-jsonschema,
  python3-keystoneauth1,
  python3-keystoneclient,
  python3-keystonemiddleware,
- python3-migrate,
  python3-monotonic,
  python3-mysqldb,
- python3-openssl,
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog | grep Date: | sed 's/Date: //')
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
SPHINXOPTS := -D today="$(BUILD_DATE)"
SPHINXOPTS += -D html_last_updated_fmt="$(BUILD_DATE)"

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	rm -rf doc/build
	rm -rf glance.sqlite
	rm -f debian/glance-common.config debian/glance-common.postinst debian/glance-common.postrm debian/glance-api.config debian/glance-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build *.egg-info debian/po
	rm -rf doc/source/contributor/api aging
	rm -f doc/source/_static/*.sample || true
	rm -f run_tests.log
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func glance-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm glance-common.postrm
	pkgos-merge-templates glance-api glance endpoint
	pkgos-merge-templates glance-common glance db rabbit ksat

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist:
	# glance.tests.unit.v2.test_tasks_resource.TestTasksController.test_create_with_live_time https://bugs.launchpad.net/glance/+bug/1868455
	pkgos-dh_auto_test --no-py2 'glance\.tests\.unit\.(?!.*test_wsgi_ipv6\.IPv6ServerTest\.test_evnetlet_no_dnspython.*|.*async_\.flows\.test_ovf_process\.TestOvfProcessTask\.test_extract_ova_no_disk.*|.*test_tasks_resource\.TestTasksController\.test_create_with_live_time.*|.*common\.test_property_utils\.TestPropertyRulesWithRoles\.test_property_protection_with_missing_operation.*|.*common\.test_property_utils\.TestPropertyRulesWithRoles\.test_property_protection_with_misspelt_operation.*)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/glance-common/usr/share/glance-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf \
		--namespace castellan.config \
		--namespace glance.api \
		--namespace glance.store \
		--namespace os_brick \
		--namespace glance.multi_store \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.db \
		--namespace oslo.policy \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.limit \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.reports

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf keystone_authtoken glance

	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf glance_store filesystem_store_datadir /var/lib/glance/images
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf oslo_concurrency lock_path /var/lock/glance
	# Do not persist build time CPU numbers. See https://bugs.debian.org/807475
	sed -i 's|^[ \t#]*workers[ \t]*=[ \t].*|#workers = 2|' $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-api.conf

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-cache.conf \
		--namespace glance.cache \
		--namespace glance.store \
		--namespace os_brick \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-manage.conf \
		--namespace glance.manage \
		--namespace oslo.db \
		--namespace oslo.log
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-scrubber.conf \
		--namespace glance.scrubber \
		--namespace glance.store \
		--namespace os_brick \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.policy
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-image-import.conf \
		--namespace glance
	mkdir -p $(CURDIR)/debian/glance-common/etc/glance/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file=$(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace glance

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/glance-common/etc/glance/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/glance-common/usr/share/glance-common/glance.conf oslo_policy policy_dirs /etc/glance/policy.d

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing -Xusr/bin/glance-replicator

	install -D -m 0664 etc/glance-swift.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/glance-swift.conf
	install -D -m 0664 etc/ovf-metadata.json.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/ovf-metadata.json
	install -D -m 0664 etc/property-protections-policies.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-policies.conf
	install -D -m 0664 etc/property-protections-roles.conf.sample $(CURDIR)/debian/glance-common/usr/share/glance-common/property-protections-roles.conf

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/glance-doc/usr/share/doc/glance-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## glance 29.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 pbr>=3.1.1 # Apache-2.0
-defusedxml>=0.6.0 # PSF
+defusedxml>=0.7.1 # PSF
 
 # < 0.8.0/0.8 does not work, see https://bugs.launchpad.net/bugs/1153983
 SQLAlchemy>=1.3.14 # MIT
@@ -7,7 +7,6 @@
 PasteDeploy>=1.5.0 # MIT
 Routes>=2.3.1 # MIT
 WebOb>=1.8.1 # MIT
-sqlparse>=0.2.2 # BSD
 alembic>=0.9.6 # MIT
 httplib2>=0.9.1 # MIT
 oslo.config>=8.1.0 # Apache-2.0
@@ -36,7 +35,7 @@
 oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
-oslo.policy>=3.11.0 # Apache-2.0
+oslo.policy>=4.4.0 # Apache-2.0
 
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
glance (2:29.0.0-4) unstable; urgency=medium

  * Removed python3-pep8 from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jan 2025 08:42:32 +0100

glance (2:29.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090414).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:03:02 +0100

glance (2:29.0.0-2) unstable; urgency=medium

  * Add http-keepalive = true in default uwsgi config.
  * Blacklist TestCacheWorker.test_worker_lifecycle (Closes: #1088309).

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 10:18:21 +0100

glance (2:29.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:00:32 +0200

glance (2:29.0.0~rc1-2) unstable; urgency=medium

  * Re-disable uwsgi as backups aren't working.
  * Uploading to unstable.
  * Disable failing unit tests:
    - TestUtils.test_single_store_http_disabled_and_http_in_url
    - TestUtils.test_single_store_http_enabled_and_http_in_url
    - TestUtils.test_single_store_http_enabled_and_http_not_in_url

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:51:41 +0200

glance (2:29.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed CVE-2024-32498 patches applied upstream.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 13 Sep 2024 09:19:02 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
  python3-eventlet (>= 0.33.3),
  python3-fixtures,
  python3-futurist,
- python3-glance-store (>= 4.7.0),
+ python3-glance-store (>= 4.8.0),
  python3-hacking,
  python3-httplib2,
  python3-iso8601,
@@ -53,7 +53,7 @@
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.reports,
  python3-oslo.upgradecheck,
  python3-oslo.utils,
@@ -61,7 +61,6 @@
  python3-osprofiler,
  python3-paste,
  python3-pastedeploy,
- python3-pep8,
  python3-prettytable,
  python3-psutil,
  python3-psycopg2,
@@ -73,7 +72,6 @@
  python3-sendfile,
  python3-sphinxcontrib.apidoc,
  python3-sqlalchemy,
- python3-sqlparse,
  python3-stestr,
  python3-stevedore,
  python3-swiftclient,
@@ -184,7 +182,7 @@
  python3-defusedxml,
  python3-eventlet (>= 0.33.3),
  python3-futurist,
- python3-glance-store (>= 4.7.0),
+ python3-glance-store (>= 4.8.0),
  python3-httplib2,
  python3-iso8601,
  python3-jsonschema,
@@ -202,7 +200,7 @@
  python3-oslo.log,
  python3-oslo.messaging,
  python3-oslo.middleware,
- python3-oslo.policy,
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.reports,
  python3-oslo.upgradecheck,
  python3-oslo.utils,
@@ -217,7 +215,6 @@
  python3-retrying,
  python3-routes,
  python3-sqlalchemy,
- python3-sqlparse,
  python3-stevedore,
  python3-swiftclient,
  python3-taskflow,

## glance 29.1.0

=== debian/changelog ===
glance (2:29.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Wed, 05 Nov 2025 08:37:24 +0000

glance (2:29.0.0-5) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Jul 2025 12:17:49 +0200

## glance 30.0.0~rc1

=== debian/changelog ===
glance (2:30.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 14:42:21 +0100

glance (2:30.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:07:17 +0100

## glance 30.0.0

=== requirements.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 oslo.concurrency>=4.5.1 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
-oslo.utils>=4.7.0 # Apache-2.0
+oslo.utils>=7.3.0 # Apache-2.0
 stevedore!=3.0.0,>=1.20.0 # Apache-2.0
 futurist>=1.2.0 # Apache-2.0
 taskflow>=4.0.0 # Apache-2.0
@@ -35,22 +35,17 @@
 oslo.messaging>=5.29.0,!=9.0.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
-oslo.policy>=4.4.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 
 retrying!=1.3.0,>=1.2.3 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 
 # Glance Store
-glance-store>=2.3.0 # Apache-2.0
+glance-store>=4.9.0 # Apache-2.0
 
 
 debtcollector>=1.19.0 # Apache-2.0
 cryptography>=2.6.1 # BSD/Apache-2.0
 cursive>=0.2.1 # Apache-2.0
 
-# timeutils
-iso8601>=0.1.11 # MIT
-
-os-win>=4.0.1 # Apache-2.0
-
 castellan>=0.17.0 # Apache-2.0

=== debian/changelog ===
glance (2:30.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 18:07:20 +0200

glance (2:30.0.0~b2+git2025030311.f54f6b3b1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:16:59 +0000

glance (2:29.0.0+git2025011509.8b7c39342-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2025 10:52:47 +0000

glance (2:29.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: Set upstream branch to upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:22:15 +0100

glance (2:29.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ Myles Penner ]
  * New upstream release candidate for OpenStack Dalmatian.

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-root-tar-support.patch: Drop as lxd driver is no longer
    supported in Nova.
  * d/p/register-glance-store.patch: Ensure glance_store sectional
    configuration is usable during unit tests.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 26 Sep 2024 10:04:19 +0100

glance (2:29.0.0~b2+git2024080717.695fcb67-0ubuntu2) oracular; urgency=medium

  * d/control: Drop python3-migrate from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 21 Aug 2024 13:24:36 +0100

glance (2:29.0.0~b2+git2024080717.695fcb67-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/CVE*.patch: Drop, included in snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:01:39 +0100

=== debian/control ===
Source: glance
Section: net
Priority: extra
Maintainer: Ubuntu OpenStack <openstack-packaging@lists.ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-alembic (>= 0.9.6),
 python3-babel (>= 2.3.4),
 python3-boto3 (>= 1.9.199),
 python3-castellan (>= 0.17.0),
 python3-cinderclient (>= 1:4.1.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-ddt (>= 1.0.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.7.1),
 python3-eventlet (>= 0.33.3),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 4.9.0),
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-brick (>= 3.1.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 4.5.1),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.limit (>= 1.6.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.privsep (>= 1.32.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.3.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-prettytable (>= 0.7.1),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.8.4),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-requests (>= 2.18.0),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sqlalchemy (>= 1.3.14),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-taskflow (>= 4.0.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 python3-xattr (>= 0.9.2),
 qemu-utils,
 subunit,
Standards-Version: 4.6.1
Homepage: https://launchpad.net/glance
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/glance
Testsuite: autopkgtest-pkg-python

Package: glance
Architecture: all
Section: python
Depends:
 glance-api (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Daemons
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package is a metapackage for all glance daemons.

Package: glance-api
Architecture: all
Section: python
Depends:
 python3-glance (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - API
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance API server.

Package: glance-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Common
 The Glance project provides an image registration, discovery and
 delivery service. These services may be used as stand-along services, and
 they may also be used by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the glance common.

Package: python-glance-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack Image Registry and Delivery Service - Documentation
 The Glance project provides an image registration and discovery service
 (Parallax) and an image delivery service (Teller). These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the documentation.

Package: python3-glance
Architecture: all
Section: python
Depends:
 glance-common (= ${binary:Version}),
 python3-alembic (>= 0.9.6),
 python3-castellan (>= 0.17.0),
 python3-cryptography (>= 2.6.1),
 python3-cursive (>= 0.2.1),
 python3-debtcollector (>= 1.19.0),
 python3-defusedxml (>= 0.7.1),
 python3-eventlet (>= 0.33.3),
 python3-futurist (>= 1.2.0),
 python3-glance-store (>= 4.9.0),
 python3-glanceclient,
 python3-httplib2 (>= 0.9.1),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.concurrency (>= 4.5.1),
 python3-oslo.config (>= 1:8.1.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 5.0.0),
 python3-oslo.i18n (>= 5.0.0),
 python3-oslo.limit (>= 1.6.0),
 python3-oslo.log (>= 4.5.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 7.3.0),
 python3-osprofiler (>= 1.4.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 3.1.1),
 python3-prettytable (>= 0.7.1),
 python3-retrying (>= 1.2.3),
 python3-routes (>= 2.3.1),
 python3-semantic-version (>= 2.3.1),
 python3-sqlalchemy (>= 1.3.14),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 4.0.0),
 python3-webob (>= 1:1.8.1),
 python3-wsme (>= 0.8.0),
 qemu-utils,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-rados,
 python3-rbd,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack Image Registry and Delivery Service - Python 3 library
 The Glance project provides an image registration and discovery service
 and an image delivery service. These services are used
 in conjunction by Nova to deliver images from object stores, such as
 OpenStack's Swift service, to Nova's compute nodes.
 .
 This package contains the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/glance/ glance-(30.\d.*)\.tar\.gz

## glance 30.0.0+git2025070714.9b2cd1634

=== debian/changelog ===
glance (2:30.0.0+git2025070714.9b2cd1634-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/p/register-glance-store.patch: Refresh. 

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 08:13:01 -0700

## glance 30.1.0

=== debian/changelog ===
glance (2:30.1.0-1~bpo13+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-epoxy.debian.net>  Wed, 05 Nov 2025 09:39:07 +0000

glance (2:30.0.0-3) unstable; urgency=medium

  * Fix uwsgi config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 10:29:31 +0200

glance (2:30.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 13:51:40 +0200

glance (2:30.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:28:59 +0200

## glance 31.0.0~rc1

=== debian/changelog ===
glance (2:31.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 00:36:47 +0200

glance (2:31.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed glance-api-uwsgi.ini and .init.in for using the module, not the wsgi
    script anymore. Note: the package is still set to use the eventlet based
    web server as I'm still not sure backups are fixed and working with uwsgi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Sep 2025 09:35:22 +0200
